<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:33 UTC 2019 -->
<title>VoiceGuidanceOptions (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="VoiceGuidanceOptions (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/VoiceGuidanceOptions.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.OnProgressListener.html" title="interface in com.here.android.mpa.guidance"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.Range.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/guidance/VoiceGuidanceOptions.html" target="_top">Frames</a></li>
<li><a href="VoiceGuidanceOptions.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.guidance</div>
<h2 title="Class VoiceGuidanceOptions" class="title">Class VoiceGuidanceOptions</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.guidance.VoiceGuidanceOptions</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">VoiceGuidanceOptions</span>
extends java.lang.Object</pre>
<div class="block">Specifies at what times voice guidance prompts are triggered during car navigation. For each
 upcoming maneuver, an instruction prompt to perform the maneuver is always triggered.
 In addition, up to three other prompts for performing the maneuver may be triggered, making a
 total of four possible prompt triggers per maneuver:
 <ul>
 <li>ANNOUNCEMENT - announcement of an upcoming maneuver ahead of time</li>
 <li>REMINDER 2 - distant reminder, given from quite a distance away from the maneuver</li>
 <li>REMINDER 1 - nearby reminder, given when the maneuver is getting close</li>
 <li>COMMAND - call for immediate action just before the maneuver</li>
 </ul>
 <p>
 A distinction is made according to whether the driver is currently on a non-highway or a highway,
 as more time is typically needed to allow the driver to react appropriately when driving on a
 highway.
 </p>
 <p>
 The conditions are evaluated as follows: First the conditions for the trigger COMMAND are tested,
 then REMINDER 1, REMINDER 2, and finally ANNOUNCEMENT. For each trigger, the distance-based
 conditions are evaluated first. If these are not met, then the time-based conditions are
 evaluated. As soon as a condition is met, the corresponding prompt is triggered. Each type of
 prompt can be triggered automatically at most once per maneuver.
 </p>
 <p>
 Just first ANNOUNCEMENT is issued immediately no matter what. Even if all parameters of
 ANNOUNCEMENT have been installed to -1 or any other values. If ANNOUNCEMENT has been disabled
 then neither REMINDER 2 nor REMINDER 1 would be issued, only COMMAND. If REMINDER 1 and
 REMINDER 2 met the same conditions then REMINDER 1 is issued, REMINDER 2 won't be issued.
 </p>
 <p>
 The distance-based conditions are evaluated first. The time-based second. The time-based
 condition can be extended to take into consideration either time or distance conditions.
 </p>
 <p>
 Use <a href="../../../../../com/here/android/mpa/guidance/NavigationManager.html#getVoiceGuidanceOptions--"><code>NavigationManager.getVoiceGuidanceOptions()</code></a> to obtain an instance of this class.
 </p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.Range.html" title="class in com.here.android.mpa.guidance">VoiceGuidanceOptions.Range</a></span></code>
<div class="block">Represents a values range.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.RoadType</a></span></code>
<div class="block">Represents the type of road.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.VoicePromptType</a></span></code>
<div class="block">Represents the type of voice command.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TtsOutputFormat.html" title="enum in com.here.android.mpa.guidance">NavigationManager.TtsOutputFormat</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.html#getTtsOutputFormat--">getTtsOutputFormat</a></span>()</code>
<div class="block">Gets the TTS text output format currently in use.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.Range.html" title="class in com.here.android.mpa.guidance">VoiceGuidanceOptions.Range</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.html#getVoicePromptDistanceRangeFromPreviousManeuver-com.here.android.mpa.guidance.VoiceGuidanceOptions.RoadType-com.here.android.mpa.guidance.VoiceGuidanceOptions.VoicePromptType-">getVoicePromptDistanceRangeFromPreviousManeuver</a></span>(<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.RoadType</a> roadType,
                                               <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.VoicePromptType</a> voicePromptType)</code>
<div class="block">Returns min and max distances after last maneuver to announce next one.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.Range.html" title="class in com.here.android.mpa.guidance">VoiceGuidanceOptions.Range</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.html#getVoicePromptDistanceRangeToNextManeuver-com.here.android.mpa.guidance.VoiceGuidanceOptions.RoadType-com.here.android.mpa.guidance.VoiceGuidanceOptions.VoicePromptType-">getVoicePromptDistanceRangeToNextManeuver</a></span>(<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.RoadType</a> roadType,
                                         <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.VoicePromptType</a> voicePromptType)</code>
<div class="block">Returns min and max distance before next maneuver to announce.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.html#getVoicePromptTimeBasedDistanceToNextManeuver-com.here.android.mpa.guidance.VoiceGuidanceOptions.RoadType-com.here.android.mpa.guidance.VoiceGuidanceOptions.VoicePromptType-">getVoicePromptTimeBasedDistanceToNextManeuver</a></span>(<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.RoadType</a> roadType,
                                             <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.VoicePromptType</a> voicePromptType)</code>
<div class="block">Returns time based distance before next maneuver to announce.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.Range.html" title="class in com.here.android.mpa.guidance">VoiceGuidanceOptions.Range</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.html#getVoicePromptTimeRangeFromPreviousManeuver-com.here.android.mpa.guidance.VoiceGuidanceOptions.RoadType-com.here.android.mpa.guidance.VoiceGuidanceOptions.VoicePromptType-">getVoicePromptTimeRangeFromPreviousManeuver</a></span>(<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.RoadType</a> roadType,
                                           <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.VoicePromptType</a> voicePromptType)</code>
<div class="block">Returns min and max time after last maneuver to announce next one.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.Range.html" title="class in com.here.android.mpa.guidance">VoiceGuidanceOptions.Range</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.html#getVoicePromptTimeRangeToNextManeuver-com.here.android.mpa.guidance.VoiceGuidanceOptions.RoadType-com.here.android.mpa.guidance.VoiceGuidanceOptions.VoicePromptType-">getVoicePromptTimeRangeToNextManeuver</a></span>(<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.RoadType</a> roadType,
                                     <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.VoicePromptType</a> voicePromptType)</code>
<div class="block">Returns min and max distances before next maneuver to announce.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html" title="class in com.here.android.mpa.guidance">VoiceSkin</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.html#getVoiceSkin--">getVoiceSkin</a></span>()</code>
<div class="block">Gets the voice skin currently in use.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.html#isManeuverVoicePromptEnabled-com.here.android.mpa.routing.Maneuver.Action-">isManeuverVoicePromptEnabled</a></span>(<a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> action)</code>
<div class="block">Checks if voice prompts for certain maneuver is enabled.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.html#isTtsLanguageAvailable-java.util.Locale-">isTtsLanguageAvailable</a></span>(java.util.Locale locale)</code>
<div class="block">Get the availability of the specified language as represented by the <code>Locale</code>.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.html#resetAllVoicePromptRules--">resetAllVoicePromptRules</a></span>()</code>
<div class="block">Resets all distance based and time based voice announcement rules.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.html#setManeuverVoicePromptEnabled-com.here.android.mpa.routing.Maneuver.Action-boolean-">setManeuverVoicePromptEnabled</a></span>(<a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> action,
                             boolean enabled)</code>
<div class="block">Enables/disables voice prompts for certain maneuver.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.html#setTtsOutputFormat-com.here.android.mpa.guidance.NavigationManager.TtsOutputFormat-">setTtsOutputFormat</a></span>(<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TtsOutputFormat.html" title="enum in com.here.android.mpa.guidance">NavigationManager.TtsOutputFormat</a> format)</code>
<div class="block">Sets the TTS text output format.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.html#setVoicePromptDistanceRangeFromPreviousManeuver-com.here.android.mpa.guidance.VoiceGuidanceOptions.RoadType-com.here.android.mpa.guidance.VoiceGuidanceOptions.VoicePromptType-com.here.android.mpa.guidance.VoiceGuidanceOptions.Range-">setVoicePromptDistanceRangeFromPreviousManeuver</a></span>(<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.RoadType</a> roadType,
                                               <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.VoicePromptType</a> voicePromptType,
                                               <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.Range.html" title="class in com.here.android.mpa.guidance">VoiceGuidanceOptions.Range</a> distRange)</code>
<div class="block">Configures voice guidance rules.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.html#setVoicePromptDistanceRangeToNextManeuver-com.here.android.mpa.guidance.VoiceGuidanceOptions.RoadType-com.here.android.mpa.guidance.VoiceGuidanceOptions.VoicePromptType-com.here.android.mpa.guidance.VoiceGuidanceOptions.Range-">setVoicePromptDistanceRangeToNextManeuver</a></span>(<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.RoadType</a> roadType,
                                         <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.VoicePromptType</a> voicePromptType,
                                         <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.Range.html" title="class in com.here.android.mpa.guidance">VoiceGuidanceOptions.Range</a> distRange)</code>
<div class="block">Configures voice guidance rules.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.html#setVoicePromptTimeBasedDistanceToNextManeuver-com.here.android.mpa.guidance.VoiceGuidanceOptions.RoadType-com.here.android.mpa.guidance.VoiceGuidanceOptions.VoicePromptType-int-">setVoicePromptTimeBasedDistanceToNextManeuver</a></span>(<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.RoadType</a> roadType,
                                             <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.VoicePromptType</a> voicePromptType,
                                             int distance)</code>
<div class="block">Configures voice guidance rules.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.html#setVoicePromptTimeRangeFromPreviousManeuver-com.here.android.mpa.guidance.VoiceGuidanceOptions.RoadType-com.here.android.mpa.guidance.VoiceGuidanceOptions.VoicePromptType-com.here.android.mpa.guidance.VoiceGuidanceOptions.Range-">setVoicePromptTimeRangeFromPreviousManeuver</a></span>(<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.RoadType</a> roadType,
                                           <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.VoicePromptType</a> voicePromptType,
                                           <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.Range.html" title="class in com.here.android.mpa.guidance">VoiceGuidanceOptions.Range</a> timeRange)</code>
<div class="block">Configures voice guidance rules.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.html#setVoicePromptTimeRangeToNextManeuver-com.here.android.mpa.guidance.VoiceGuidanceOptions.RoadType-com.here.android.mpa.guidance.VoiceGuidanceOptions.VoicePromptType-com.here.android.mpa.guidance.VoiceGuidanceOptions.Range-">setVoicePromptTimeRangeToNextManeuver</a></span>(<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.RoadType</a> roadType,
                                     <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.VoicePromptType</a> voicePromptType,
                                     <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.Range.html" title="class in com.here.android.mpa.guidance">VoiceGuidanceOptions.Range</a> timeRange)</code>
<div class="block">Configures voice guidance rules.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/guidance/NavigationManager.Error.html" title="enum in com.here.android.mpa.guidance">NavigationManager.Error</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.html#setVoiceSkin-com.here.android.mpa.guidance.VoiceSkin-">setVoiceSkin</a></span>(<a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html" title="class in com.here.android.mpa.guidance">VoiceSkin</a> skin)</code>
<div class="block">Sets the voice skin id for voice Navigation.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isManeuverVoicePromptEnabled-com.here.android.mpa.routing.Maneuver.Action-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isManeuverVoicePromptEnabled</h4>
<pre>public boolean isManeuverVoicePromptEnabled(<a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> action)</pre>
<div class="block">Checks if voice prompts for certain maneuver is enabled.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>action</code> - Maneuver action type to be checked.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if voice prompts for this maneuver type is enabled or false otherwise.</dd>
</dl>
</li>
</ul>
<a name="setManeuverVoicePromptEnabled-com.here.android.mpa.routing.Maneuver.Action-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setManeuverVoicePromptEnabled</h4>
<pre>public boolean setManeuverVoicePromptEnabled(<a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> action,
                                             boolean enabled)</pre>
<div class="block">Enables/disables voice prompts for certain maneuver.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>action</code> - Maneuver voice prompt to be enabled/disabled.</dd>
<dd><code>enabled</code> - State for maneuver voice prompt.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if operation was successful or false otherwise.</dd>
</dl>
</li>
</ul>
<a name="setTtsOutputFormat-com.here.android.mpa.guidance.NavigationManager.TtsOutputFormat-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTtsOutputFormat</h4>
<pre>public void setTtsOutputFormat(<a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TtsOutputFormat.html" title="enum in com.here.android.mpa.guidance">NavigationManager.TtsOutputFormat</a> format)</pre>
<div class="block">Sets the TTS text output format.
 Default format is RAW (pure text without phonemes and escape sequences).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>format</code> - The <a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TtsOutputFormat.html" title="enum in com.here.android.mpa.guidance"><code>NavigationManager.TtsOutputFormat</code></a> to use.</dd>
</dl>
</li>
</ul>
<a name="getTtsOutputFormat--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTtsOutputFormat</h4>
<pre>public <a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TtsOutputFormat.html" title="enum in com.here.android.mpa.guidance">NavigationManager.TtsOutputFormat</a> getTtsOutputFormat()</pre>
<div class="block">Gets the TTS text output format currently in use.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <a href="../../../../../com/here/android/mpa/guidance/NavigationManager.TtsOutputFormat.html" title="enum in com.here.android.mpa.guidance"><code>NavigationManager.TtsOutputFormat</code></a> used.</dd>
</dl>
</li>
</ul>
<a name="isTtsLanguageAvailable-java.util.Locale-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTtsLanguageAvailable</h4>
<pre>public int isTtsLanguageAvailable(java.util.Locale locale)</pre>
<div class="block">Get the availability of the specified language as represented by the <code>Locale</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>locale</code> - The <code>Locale</code> describing the language to be used.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Return one of the values below:
 <ul>
 <li><code>android.speech.tts.TextToSpeech#LANG_AVAILABLE</code></li>
 <li><code>android.speech.tts.TextToSpeech#LANG_COUNTRY_AVAILABLE</code></li>
 <li><code>android.speech.tts.TextToSpeech#LANG_COUNTRY_VAR_AVAILABLE</code></li>
 <li><code>android.speech.tts.TextToSpeech#LANG_MISSING_DATA</code></li>
 <li><code>android.speech.tts.TextToSpeech#LANG_NOT_SUPPORTED</code></li>
 </ul></dd>
</dl>
</li>
</ul>
<a name="getVoiceSkin--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVoiceSkin</h4>
<pre>public <a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html" title="class in com.here.android.mpa.guidance">VoiceSkin</a> getVoiceSkin()</pre>
<div class="block">Gets the voice skin currently in use.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The voice skin.</dd>
</dl>
</li>
</ul>
<a name="setVoiceSkin-com.here.android.mpa.guidance.VoiceSkin-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVoiceSkin</h4>
<pre>public <a href="../../../../../com/here/android/mpa/guidance/NavigationManager.Error.html" title="enum in com.here.android.mpa.guidance">NavigationManager.Error</a> setVoiceSkin(<a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html" title="class in com.here.android.mpa.guidance">VoiceSkin</a> skin)</pre>
<div class="block">Sets the voice skin id for voice Navigation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>skin</code> - The <a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html" title="class in com.here.android.mpa.guidance"><code>VoiceSkin</code></a> to use.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/guidance/NavigationManager.Error.html#NONE"><code>NavigationManager.Error.NONE</code></a> if operation was successful, otherwise one of
 the other error codes in <code>Error</code>.</dd>
</dl>
</li>
</ul>
<a name="setVoicePromptDistanceRangeFromPreviousManeuver-com.here.android.mpa.guidance.VoiceGuidanceOptions.RoadType-com.here.android.mpa.guidance.VoiceGuidanceOptions.VoicePromptType-com.here.android.mpa.guidance.VoiceGuidanceOptions.Range-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVoicePromptDistanceRangeFromPreviousManeuver</h4>
<pre>public void setVoicePromptDistanceRangeFromPreviousManeuver(<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.RoadType</a> roadType,
                                                            <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.VoicePromptType</a> voicePromptType,
                                                            <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.Range.html" title="class in com.here.android.mpa.guidance">VoiceGuidanceOptions.Range</a> distRange)</pre>
<div class="block">Configures voice guidance rules. Sets minimal and maximal distance (in meters)
 after last maneuver to announce next one.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>roadType</code> - type of road <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance"><code>VoiceGuidanceOptions.RoadType</code></a>.</dd>
<dd><code>voicePromptType</code> - type of announcement <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance"><code>VoiceGuidanceOptions.VoicePromptType</code></a>.</dd>
<dd><code>distRange</code> - pair of min and max distances. Both values should be 0 or grater.
                  -1 will avoid this rule.</dd>
</dl>
</li>
</ul>
<a name="setVoicePromptDistanceRangeToNextManeuver-com.here.android.mpa.guidance.VoiceGuidanceOptions.RoadType-com.here.android.mpa.guidance.VoiceGuidanceOptions.VoicePromptType-com.here.android.mpa.guidance.VoiceGuidanceOptions.Range-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVoicePromptDistanceRangeToNextManeuver</h4>
<pre>public void setVoicePromptDistanceRangeToNextManeuver(<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.RoadType</a> roadType,
                                                      <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.VoicePromptType</a> voicePromptType,
                                                      <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.Range.html" title="class in com.here.android.mpa.guidance">VoiceGuidanceOptions.Range</a> distRange)</pre>
<div class="block">Configures voice guidance rules. Sets minimal and maximal distance (in meters)
 before upcoming maneuver.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>roadType</code> - type of road <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance"><code>VoiceGuidanceOptions.RoadType</code></a>.</dd>
<dd><code>voicePromptType</code> - type of announcement <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance"><code>VoiceGuidanceOptions.VoicePromptType</code></a>.</dd>
<dd><code>distRange</code> - pair of min and max distances. Both values should be 0 or grater.
                  -1 will avoid this rule.</dd>
</dl>
</li>
</ul>
<a name="getVoicePromptDistanceRangeFromPreviousManeuver-com.here.android.mpa.guidance.VoiceGuidanceOptions.RoadType-com.here.android.mpa.guidance.VoiceGuidanceOptions.VoicePromptType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVoicePromptDistanceRangeFromPreviousManeuver</h4>
<pre>public <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.Range.html" title="class in com.here.android.mpa.guidance">VoiceGuidanceOptions.Range</a> getVoicePromptDistanceRangeFromPreviousManeuver(<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.RoadType</a> roadType,
                                                                                  <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.VoicePromptType</a> voicePromptType)</pre>
<div class="block">Returns min and max distances after last maneuver to announce next one.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>roadType</code> - type of road <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance"><code>VoiceGuidanceOptions.RoadType</code></a>.</dd>
<dd><code>voicePromptType</code> - type of announcement <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance"><code>VoiceGuidanceOptions.VoicePromptType</code></a>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>pair represents min and max values.</dd>
</dl>
</li>
</ul>
<a name="getVoicePromptDistanceRangeToNextManeuver-com.here.android.mpa.guidance.VoiceGuidanceOptions.RoadType-com.here.android.mpa.guidance.VoiceGuidanceOptions.VoicePromptType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVoicePromptDistanceRangeToNextManeuver</h4>
<pre>public <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.Range.html" title="class in com.here.android.mpa.guidance">VoiceGuidanceOptions.Range</a> getVoicePromptDistanceRangeToNextManeuver(<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.RoadType</a> roadType,
                                                                            <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.VoicePromptType</a> voicePromptType)</pre>
<div class="block">Returns min and max distance before next maneuver to announce.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>roadType</code> - type of road <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance"><code>VoiceGuidanceOptions.RoadType</code></a>.</dd>
<dd><code>voicePromptType</code> - type of announcement <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance"><code>VoiceGuidanceOptions.VoicePromptType</code></a>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>pair represents min and max values.</dd>
</dl>
</li>
</ul>
<a name="setVoicePromptTimeRangeFromPreviousManeuver-com.here.android.mpa.guidance.VoiceGuidanceOptions.RoadType-com.here.android.mpa.guidance.VoiceGuidanceOptions.VoicePromptType-com.here.android.mpa.guidance.VoiceGuidanceOptions.Range-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVoicePromptTimeRangeFromPreviousManeuver</h4>
<pre>public void setVoicePromptTimeRangeFromPreviousManeuver(<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.RoadType</a> roadType,
                                                        <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.VoicePromptType</a> voicePromptType,
                                                        <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.Range.html" title="class in com.here.android.mpa.guidance">VoiceGuidanceOptions.Range</a> timeRange)</pre>
<div class="block">Configures voice guidance rules. Sets minimal and maximal time in seconds)
 after last maneuver to announce next one.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>roadType</code> - type of road <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance"><code>VoiceGuidanceOptions.RoadType</code></a>.</dd>
<dd><code>voicePromptType</code> - type of announcement <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance"><code>VoiceGuidanceOptions.VoicePromptType</code></a>.</dd>
<dd><code>timeRange</code> - pair of min and max time. Both values should be 0 or grater.
                  -1 will avoid this rule.</dd>
</dl>
</li>
</ul>
<a name="setVoicePromptTimeRangeToNextManeuver-com.here.android.mpa.guidance.VoiceGuidanceOptions.RoadType-com.here.android.mpa.guidance.VoiceGuidanceOptions.VoicePromptType-com.here.android.mpa.guidance.VoiceGuidanceOptions.Range-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVoicePromptTimeRangeToNextManeuver</h4>
<pre>public void setVoicePromptTimeRangeToNextManeuver(<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.RoadType</a> roadType,
                                                  <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.VoicePromptType</a> voicePromptType,
                                                  <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.Range.html" title="class in com.here.android.mpa.guidance">VoiceGuidanceOptions.Range</a> timeRange)</pre>
<div class="block">Configures voice guidance rules. Sets minimal and maximal time (in seconds)
 before upcoming maneuver.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>roadType</code> - type of road <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance"><code>VoiceGuidanceOptions.RoadType</code></a>.</dd>
<dd><code>voicePromptType</code> - type of announcement <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance"><code>VoiceGuidanceOptions.VoicePromptType</code></a>.</dd>
<dd><code>timeRange</code> - pair of min and max time.  Both values should be 0 or grater.
                  -1 will avoid this rule.</dd>
</dl>
</li>
</ul>
<a name="getVoicePromptTimeRangeFromPreviousManeuver-com.here.android.mpa.guidance.VoiceGuidanceOptions.RoadType-com.here.android.mpa.guidance.VoiceGuidanceOptions.VoicePromptType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVoicePromptTimeRangeFromPreviousManeuver</h4>
<pre>public <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.Range.html" title="class in com.here.android.mpa.guidance">VoiceGuidanceOptions.Range</a> getVoicePromptTimeRangeFromPreviousManeuver(<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.RoadType</a> roadType,
                                                                              <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.VoicePromptType</a> voicePromptType)</pre>
<div class="block">Returns min and max time after last maneuver to announce next one.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>roadType</code> - type of road <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance"><code>VoiceGuidanceOptions.RoadType</code></a>.</dd>
<dd><code>voicePromptType</code> - type of announcement <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance"><code>VoiceGuidanceOptions.VoicePromptType</code></a>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>pair represents min and max values.</dd>
</dl>
</li>
</ul>
<a name="getVoicePromptTimeRangeToNextManeuver-com.here.android.mpa.guidance.VoiceGuidanceOptions.RoadType-com.here.android.mpa.guidance.VoiceGuidanceOptions.VoicePromptType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVoicePromptTimeRangeToNextManeuver</h4>
<pre>public <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.Range.html" title="class in com.here.android.mpa.guidance">VoiceGuidanceOptions.Range</a> getVoicePromptTimeRangeToNextManeuver(<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.RoadType</a> roadType,
                                                                        <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.VoicePromptType</a> voicePromptType)</pre>
<div class="block">Returns min and max distances before next maneuver to announce.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>roadType</code> - type of road <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance"><code>VoiceGuidanceOptions.RoadType</code></a>.</dd>
<dd><code>voicePromptType</code> - type of announcement <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance"><code>VoiceGuidanceOptions.VoicePromptType</code></a>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>pair represents min and max values.</dd>
</dl>
</li>
</ul>
<a name="setVoicePromptTimeBasedDistanceToNextManeuver-com.here.android.mpa.guidance.VoiceGuidanceOptions.RoadType-com.here.android.mpa.guidance.VoiceGuidanceOptions.VoicePromptType-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVoicePromptTimeBasedDistanceToNextManeuver</h4>
<pre>public void setVoicePromptTimeBasedDistanceToNextManeuver(<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.RoadType</a> roadType,
                                                          <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.VoicePromptType</a> voicePromptType,
                                                          int distance)</pre>
<div class="block">Configures voice guidance rules. Sets the time based distance (in meters)
 before upcoming maneuver.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>roadType</code> - type of road <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance"><code>VoiceGuidanceOptions.RoadType</code></a>.</dd>
<dd><code>voicePromptType</code> - type of announcement <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance"><code>VoiceGuidanceOptions.VoicePromptType</code></a>.</dd>
<dd><code>distance</code> - distance to upcoming menauver. Values should be 0 or grater. -1 will avoid
                 this rule.</dd>
</dl>
</li>
</ul>
<a name="getVoicePromptTimeBasedDistanceToNextManeuver-com.here.android.mpa.guidance.VoiceGuidanceOptions.RoadType-com.here.android.mpa.guidance.VoiceGuidanceOptions.VoicePromptType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVoicePromptTimeBasedDistanceToNextManeuver</h4>
<pre>public int getVoicePromptTimeBasedDistanceToNextManeuver(<a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.RoadType</a> roadType,
                                                         <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance">VoiceGuidanceOptions.VoicePromptType</a> voicePromptType)</pre>
<div class="block">Returns time based distance before next maneuver to announce.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>roadType</code> - type of road <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.RoadType.html" title="enum in com.here.android.mpa.guidance"><code>VoiceGuidanceOptions.RoadType</code></a>.</dd>
<dd><code>voicePromptType</code> - type of announcement <a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.VoicePromptType.html" title="enum in com.here.android.mpa.guidance"><code>VoiceGuidanceOptions.VoicePromptType</code></a>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>pair represents time based distance</dd>
</dl>
</li>
</ul>
<a name="resetAllVoicePromptRules--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>resetAllVoicePromptRules</h4>
<pre>public void resetAllVoicePromptRules()</pre>
<div class="block">Resets all distance based and time based voice announcement rules.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/VoiceGuidanceOptions.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/guidance/VoiceCatalog.OnProgressListener.html" title="interface in com.here.android.mpa.guidance"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/guidance/VoiceGuidanceOptions.Range.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/guidance/VoiceGuidanceOptions.html" target="_top">Frames</a></li>
<li><a href="VoiceGuidanceOptions.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
